Package org.eclipse.emf.cdo.server.db.mapping

## Interface IListMappingUnitSupport

- All Superinterfaces:
    `IListMapping`

      public interface IListMappingUnitSupport
      extends IListMapping

  Interface to complement `IListMapping` in order to provide unit support.
  Since:
    4.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.sql.ResultSet` | `queryUnitEntries​(IDBStoreAccessor accessor, IIDHandler idHandler, long timeStamp, CDOID rootID)` |
    `void` | `readUnitEntries​(java.sql.ResultSet resultSet, IIDHandler idHandler, CDOID id, org.eclipse.net4j.util.collection.MoveableList<java.lang.Object> list)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IListMapping

      `getDBTables, getFeature, objectDetached, queryXRefs, readChunks, readValues, writeValues`

- - ### Method Detail

    - #### queryUnitEntries

          java.sql.ResultSet queryUnitEntries​(IDBStoreAccessor accessor,
                                              IIDHandler idHandler,
                                              long timeStamp,
                                              CDOID rootID)
                                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### readUnitEntries

          void readUnitEntries​(java.sql.ResultSet resultSet,
                               IIDHandler idHandler,
                               CDOID id,
                               org.eclipse.net4j.util.collection.MoveableList<java.lang.Object> list)
                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`